id: opera-phish

info:
  name: opera phishing Detection
  author: rxerium
  severity: info
  description: |
    A opera phishing website was detected
  reference:
    - https://opera.com
  metadata:
    max-request: 1
  tags: phishing,opera,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Opera Web Browser | Faster, Safer, Smarter | Oper'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"opera.com")'
# digest: 4a0a00473045022100a2bd503e0abe1c1af53d896414dabb85aceb0f26df3658b2d2972a25ded5716c022000c4df6df7d333237f4dd3b5c4864e6f3772722c89e94a2b8f5c61c95dec2105:922c64590222798bb761d5b6d8e72950